Skip to main content
PATCH
/
v3
/
vehicle-inventory-checks
/
{vehicle_inventory_check_id}
Update a vehicle inventory check
curl --request PATCH \
  --url https://api.ctrl-hub.com/v3/vehicle-inventory-checks/{vehicle_inventory_check_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>"
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "inspected_at": "2023-11-07T05:31:56Z",
      "items": [
        {
          "equipment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "present": true,
          "working": true,
          "certified": true
        }
      ]
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "summary": {
        "present": {
          "total": 123,
          "passed": 123,
          "failed": 123,
          "unknown": 123
        },
        "working": {
          "total": 123,
          "passed": 123,
          "failed": 123,
          "unknown": 123
        },
        "certified": {
          "total": 123,
          "passed": 123,
          "failed": 123,
          "unknown": 123
        }
      }
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "vehicle": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "author": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "equipment": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "serial": "<string>",
        "status": "<string>"
      },
      "meta": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "organisation": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "model": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "vehicle": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ctrl-hub.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

vehicle_inventory_check_id
string<uuid>
required

The unique identifier for the vehicle inventory check.

Body

application/vnd.api+json

The vehicle inventory check to update.

data
object
required

Response

Get a vehicle inventory check.

JSON API response object

data
object
required

A vehicle inventory check

jsonapi
object
required
included
object[]

Related resources that can be included when a vehicle inventory check is returned.

An equipment item